/* msDistri - microscope distributor
 * version 0.1 date 2009-06-19
 * Copyright (C) 2009 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_config
#define INC_config

// demo mode active
extern char ConfigDemoActive; // boolean flag if demo mode is active

// MAC address
extern unsigned char ConfigMac[6];

// IP configuration
extern unsigned char ConfigIp[4]; // own IP address
extern unsigned char ConfigMask[4]; // subnet mask
extern unsigned char ConfigGw[4]; // gateway IP address

// initialize
extern void ConfigInit( void );

// task function to do the work - call from main loop
//  - returns boolean flag if configuration has changed
extern char ConfigTask( void );

#endif // #ifndef INC_config
