/* msDistri - microscope distributor
 * version 0.1 date 2009-06-19
 * Copyright (C) 2009 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_timing
#define INC_timing

// initialize
extern void TimingInit( void );

// provide curent time stamp as entropy to random number generator
extern void TimingEntropy( void );

// provide curent 20ms tick counter as entropy to random number generator
extern void Timing20Entropy( void );

// task function to do the work - call from main loop
extern void TimingTask( void );

#endif // #ifndef INC_timing
